Subject: Re: FVWM: How do you run fvwm?

From: [email-masked]
Date: Tue, 6 Oct 98 15:33:42 +0000

Phil,

    I tried to make .xsession using pico. I cant see the file though. 

My file actually uses these paths.

#! /bin/sh
/usr/X11R6/bin/xterm
/usr/X11R6/bin/xbiff
/exec /usr/lib/X11/fvwm95-2

How do I run that startup file?

I tried /.xsession but got permission denied. 

For the flavor of unix I am running? It is redhat 4.2 with kernel source of
2.0.35

Any tips?

Thanks,

Joe Fialkowski
[email-masked]

 > 
> > I have installed and done all the makes and etc. Now I have just one
question
> > which I can't find in the faq's. 
> > How do you run fvwm?
> > 
> > 
> > Joe Fialkowski
> > [email-masked]
> > 
> 
> The answer depends a little bit on how X is installed on your system.
> For most people you need a startup file, and the last thing in the
> startup file should be the command to run fvwm.  A typically startup
> file might look like this:
> 
>    #! /bin/sh
>    /usr/X11R6/bin/xterm
>    /usr/X11R6/bin/xbiff
>    exec /usr/local/bin/fvwm2
>    
> Of course you will need to adjust the paths to point to where your
> X11 and fvwm are stored.
> 
> This startup file typically needs to be called EITHER: .xsession or
> ..xinitrc (both would go in your home directory).
> 
> If you have something other than a basic UNIX setup you may need a more
> complicated system to get your window manager to start (for example
> some Windows system with X servers have very complex setup procedures).
> You might check the documentation which came with your X window system.
> 
> If the above does not work for you, send me your error messages and
> I will see what I can do (no promises though).
> 
> Phil
> [email-masked]

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Phil Romig <[email-masked]>
Date: Tue, 6 Oct 1998 11:55:50 -0500 (CDT)

> For the flavor of unix I am running? It is redhat 4.2 with kernel source of

Joe;

  Just running the .xsession file will not work, it needs to be run 
by another process which is starting X.

 A few tips:
   1) you want that last line to be "exec" not "/exec".  I may have had
      a typo in my first e-mail.
      
   2) You probably need to set the .xsession file to executable, use
      the chmod command:  chmod u+x .xsession
      
   3) Ric was very correct in pointing out that I messed up my
      little sample .xsession file, you must put everything but the
      window manager in the background by adding an ampersand (i.e. &) to
      the end of each line (except the first and the last ones..)
      
         #! /bin/sh
	 /usr/X11R6/bin/xterm &
	 /usr/X11R6/bin/xbiff &
	 exec /usr/X11R6/bin/fvwm2
      
   4) I'm not sure that you have the right path to fvwm95-2.  The path
      you have (/usr/lib/X11/fvwm95-2) actually points to the configuration
      directory, not to the binary.  In UNIX packages install their
      binaries (a.k.a. the program you actually run) in a directory
      called bin.  You can tell if a file is a directory or a file
      with the ls command.  For example:
      
         romig> ls -ld /usr/lib/X11/fvwm95-2
	 drwxr-xr-x 2 root root 1024 Nov 20  1997 /usr/lib/X11/fvwm95-2/
       and
         romig> ls -ld /usr/bin/X11/fvwm95-2
        -rwxr-xr-x 1 root root 117636 Nov 20  1996 /usr/bin/X11/fvwm95-2

      Notice that the first listing has a "d" in the first column, but
      the other line does not.  This indicates that the first is a
      directory, the other a "normal" file.
    
   5) I don't know if the version of redHat you are using turns on
      the xdm automatically.  The xdm is a program which starts the
      X window system and puts up a login screen.  If you log in via
      graphical box in the middle of the screen you are using xdm, if
      you login via a textual prompt you are not using xdm.
      
      5a)  If you are using xdm, then then the .xsessions file will work,
           once you have made the adjustments I mention above.
	   
      5b)  You you are not using the xdm then (1) could start it, 
           probably by logging in as root and typing "/sbin/init 5"
	   or (2) you can use the startx script to start X. As Ric
	   mentioned, if you are using startx then the startx script
	   will read the .xinitrc file (or the .Xclients file as per Ric).
	   To use startx you login as yourself and type "startx".
	   
      5c)  What I do is make my .xinitrc file a link to my .xsession file,
           so either way I am working I get the same thing.  Create your
	   .xsession file and then type "ln -s ~/.xsession ~/.xinitrc".

Let us know how it is going.
Phil